<template>
    <div class="box-info-profit" @mouseleave="hover = false" @mouseover="hover = true">
        <div :class="hoveredClass" v-if="hover">
            <p class="text-title-White">{{ $t('promos.pages.table.profit_help_white') }}</p>
            <p class="text-mini">{{ $t('promos.pages.table.profit_help') }}</p>
        </div>
        <div class="info2">
            <svg >
                <use xlink:href="/img/sprite.svg#information-circular-button-symbol"></use>
            </svg>
        </div>
        <p class="profit">{{ $t('promos.pages.table.profit') }} <slot/></p>
    </div>
</template>

<script>
	export default {
		name: "ProfitHelp",
        data(){
		    return {
		        hover: false
            }
        },
        computed: {
		    hoveredClass(){
		        return {
                    'text-body' : true,
                    'openModal' : this.hover
                }
            }
        }
	}
</script>

<style scoped>

</style>
